function Ip = inst(Up,Ug)
%Instantaneous value plate current Ip=f(Up,Ug)

global MU EX KG1 KP KVB VCT Type Us Pfn

%calculate plate current
if strcmp(Type,'Triode');
%Triode
	e = Up./KP.*log(1+exp(KP.*(1./MU+(Ug+VCT)./sqrt(KVB+Up.^2))));
	Ip = (e.^EX)./KG1.*(1+sign(e));
elseif strcmp(Type,'Pentode');
%Pentode
   e = (Us./KP).*log(1+exp(KP.*(1/MU+(Ug+VCT)./Us)));
   Ip = (e.^EX)./KG1.*(1+sign(e));
   if Pfn == 2;
      Ip = pi/2*Ip.*(1-exp(-2*Up/(pi*KVB)));	   	% middle
   elseif Pfn == 3;
      Ip = pi/2*Ip.*tanh(2*Up/(pi*KVB));				% sharpest.
   else  
      Ip = Ip.*atan(Up./KVB);								% roundest
   end

else
   error('Bad tube Type')
end
  
return